<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
import { getSortConfig } from '@/utils/form-item-config'
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/flower/param/list/items',
        extraQuery: {
          id: this.$route.params.id,
        },
        extraBody: {
          paramId: this.$route.params.id,
        },
        hasPagination: false,
        columns: [
          { label: '参数名称', prop: 'name' },
          { label: '参数值', prop: 'content' },
        ],
        form: [
          {
            label: '参数名称：',
            id: 'name',
            type: 'input',
            rules: {
              required: true,
              message: '请输入参数名称',
              trigger: 'blur',
            },
          },
          {
            label: '参数值：',
            id: 'content',
            type: 'input',
            rules: {
              required: true,
              message: '请输入参数值',
              trigger: 'blur',
            },
          },
          {
            ...getSortConfig(),
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '参数列表',
    }
  },
}
</script>

<style lang="scss" scoped></style>
